import {NgModule} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {StudentRootComponent} from 'src/app/StudentComponents/student-root.component';
import {CommonModule} from '@angular/common';
import {StudentRoutesModule} from './student-routes.module';
import {StudentDashboardComponent} from 'src/app/StudentComponents/StudentDashboardComponents/student-dashboard.component';
import {NavbarComponent} from 'src/app/NavBarComponents/navbar.component';
import {NgbAccordionModule} from '@ng-bootstrap/ng-bootstrap';
import {StudentInfoService} from 'src/app/services/student-info.service';
import {StudentClassviewComponent} from './StudentClassView/student-classview.component';
import {StudentViewService} from 'src/app/services/student-view.service';
import {StudentDataService} from 'src/app/services/student-data.service';

@NgModule({
  declarations: [
    StudentRootComponent,
    StudentDashboardComponent,
    StudentClassviewComponent,
    NavbarComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    NgbAccordionModule,
    ReactiveFormsModule,
    StudentRoutesModule
  ],
  providers: [
    StudentInfoService,
    StudentViewService,
    StudentDataService
  ]
})
export class StudentRootModule { }
