import {Injectable} from '@angular/core';
import {Subject} from 'rxjs';

@Injectable()
export class StudentViewService {

  private onDashboardSource = new Subject<Boolean>();
  private onClassViewSource = new Subject<Boolean>();
  private onMinutePaperSource = new Subject<Boolean>();

  public onDashboard$ = this.onDashboardSource.asObservable();
  public onClassView$ = this.onClassViewSource.asObservable();
  public onMinutePaper$ = this.onMinutePaperSource.asObservable();


  public changeDashboard(flag: Boolean) {
    this.onDashboardSource.next(flag);
  }

  public changeClassView(flag: Boolean) {
    this.onClassViewSource.next(flag);
  }

  public changeMinutePaperView(flag: Boolean) {
    this.onMinutePaperSource.next(flag);
  }

}
